<?php

/**
 * @file
 * Describe hooks provided by the LinkedIn OAuth module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter created user object, before save.
 */
function hook_linkedin_oauth_create_user_alter(Drupal\user\Entity\User $user, array $userinfo) {
  $user->name->value = $userinfo['emailAddress'];
}

/**
 * @} End of "addtogroup hooks".
 */
